## $Id: webservices.py 14784 2017-08-09 10:41:31Z henrik $
##
## Copyright (C) 2017 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

from kofacustom.nigeria.remita.webservices import PaymentNotificationListenerWebservice

class CustomPaymentNotificationListenerWebservice(PaymentNotificationListenerWebservice):
    """A webservice to receive payment notifications from
    accepted IP addresses without authentication which trigger
    a query of a Remita transaction status.
    """

    ACCEPTED_IP = ('127.0.0.1', '209.235.215.199', '162.13.211.91',
                   '162.13.211.92', '83.138.167.2', '79.242.193.121',
                   '197.253.4.114')

    # We temporarily use Remita test portal data
    merchantId = '2547916'
    host = 'www.remitademo.net'
    https = False
    api_key = '1946'
